
#main_content_row {
    justify-content: space-between;
    margin:0px;
    padding: 10px;
    flex-direction: row;
    flex-wrap: wrap;
}

#mp-alert,
#topo-data-alert {
    position:relative;
    display: flex;
    top:40px;
    left:13px;
    z-index: 102;
    margin-right: 25px;
    border-radius: 5px;
    justify-content: center;

}

.main_dash_chart_col {
    padding:0px 10px 0px 10px;
    margin:0px;
    height:100%;
}

.chart_row {
    justify-content: space-between;
    margin: 0px 0px 10px 0px;
}

.std_chart_div {
    display: grid;
    position: relative;
    width: 100%;
    height: 50vh;
    margin:0px;
    border:none;
    border-radius: 10px;;
}

.std_card {
    display: flex;

    position: relative;
    margin: 0px;
    padding:10px;
    
    height: 50vh;
    width: 100%;
    
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    overflow: hidden;

    border: none;
    border-radius: 10px;
    box-shadow: var(--shadow-m);
    background-color:var(--bg-light);
}

.std_card .Div {
    width:100%;
}

.std_graph {
    height: 45vh;
    width:100%;
}

#error_plot {
    height:43vh !important
}

#chart_wrapper,
#chart_wrapper > div{
    width:100% !important;
    height:100% !important;
    display: flex;
}





.std_table_card {
    position: relative;
    margin: 0px;
    padding:10px;
    border: 1px solid;
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
    background-color: var(--bg-light);
    border: none;
}





@media screen and (max-height:500px) and (orientation: landscape) {
    .std_chart_div{
        height: 90vh;
    }
    .std_card {
        height: 90vh;
    }
    .std_graph {
        height: 95vh;
    }

    #error_plot {
        height:93vh !important
    }

    .main_dash_chart_col{
        height: 90vh;
    }
}


@media screen and (min-width:992) and (max-width:1200px){
    .std_chart_div{
        height: 55vh;
    }
    .std_card {
        height: 55vh;
    }
    .std_graph {
        height: 50vh;
    }
    #error_plot {
        height:48vh !important
    }
    .main_dash_chart_col{
        height: 55vh;
    }
}
@media screen and (max-width:992px) and (min-height:500px){
    .std_chart_div{
        height: 60vw;
    }
    .std_card {
        height: 60vw;
    }
    .std_graph {
        height: 55vw;
    }
    #error_plot {
        height:51vw !important
    }
    .main_dash_chart_col{
        height: 60vw;
    }
}

/* When in vertical view with side bar (bpXlarge to large) add space between vertical charts */
@media screen and (min-width:992px) and (max-width:1200px){
    .main_dash_chart_col {
        padding:0px 10px 0px 10px;
        margin-bottom:10px;
    }

    .chart_row{
        margin: 0px;
    }
}



/* When in vertical view (bp large and below) remove side padding and add vertical space between cards */
@media screen and (max-width:992px){
    .main_dash_chart_col {
        padding:0px;
        margin-bottom:0px;
        margin-top:10px;
    }



    .chart_row{
        margin: 0px;
    }
}




.buttons-div-map {
    position: absolute;   /* position relative to nearest positioned ancestor (map div) */
    top: 5px;         /* distance from bottom of map */
    right: 5px;           /* distance from left edge, adjust as needed */
    z-index: 1000;        /* above map layers */
}

/* _________________________PROFILE STYLES_______________________________ */



#line_plot_card {
    justify-content: start;

}
#line_plot {
    height:95%;
    transition: height 0.1s ease 0.1s;
}

/* in mobile mode */
@media screen and (max-width:500px){
    #line_plot {
        height:100%;
    }

    #line_plot_card {
        justify-content: end;
    }
}


#error_bar_dropdown_holder_div {
    position:absolute;
    bottom:20px;
    justify-self:center;

}





@media screen and (max-width:992px){
    #main_dash_charts {
        padding:0px 0px 0px 0px;
    }

}

/* DROPDOWNS */




/* ERROR BAR DROPDOWN */

.dropdown-up {
    font-size: var(--font-size-dropdown);
    font-weight: bold;
    position: relative;
    border-radius: 5px;
    width: 120px;
    height: 25px;
}
.dropdown-up .Select-menu-outer {
    bottom: 100% !important;
    top: auto !important;
    margin-bottom: 5px;
    left:0px;
    border-radius:5px;
    width:130px;
    border: none;
}
.dropdown-up .VirtualizedSelectOption {
    font-weight:normal;
    color: var(--text-dark)
}
.dropdown-up .VirtualizedSelectSelectedOption {
    font-weight:bold;
    color: var(--text-dark);
    background-color: var(--bg)!important
}


/* Post storms */

#poststorm-alert {
    position: absolute;
    top:10px;
    left:10px;
    background-color: orange;
    opacity: 0.9;
    border-radius: 0px 10px 10px 0px;
    justify-self: start;
    margin:0px;
    z-index: 100;
    padding:10px;
    transform: translateX(-100%);
    animation: slideIn 0.5s ease-out forwards
}

@keyframes slideIn {
  to {
    
    transform: translateX(0);
  }
}


#poststorm-alert-div {
    display: flex;
    text-align: center;
    gap:10px;

}

#poststorm-alert-div-icon{
    font-size: 1.2rem;
    color: var(--text-heading);
    align-self:center;
}

#poststorm-alert-div-text {
    font-size: 1rem;
    color:var(--text-heading);

}

@media screen and (max-width:500px){
    #poststorm-alert {
        top:0px;
        left:0px;
        padding:5px;
        margin:5px;
        border-radius:5px;
        justify-self: center
    }
}


#line_plot {
    margin-bottom: 15px;
    align-self: end;
}


